Bug 169919 - (m17n-db-review) Review Request: m17n-db - multilingualization datafiles
Review Request: m17n-db - multilingualization datafiles
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
http://www.m17n.org/
:
Depends On:
Blocks: FE-ACCEPT m17n-lib-review
  Show dependency treegraph
 
Reported: 2005-10-05 01:33 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 19:49:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-10-05 01:33:08 EDT
Spec Name or Url: http://people.redhat.com/petersen/extras/m17n-db.spec
SRPM Name or Url: http://people.redhat.com/petersen/extras/m17n-db-1.2.0-1.src.rpm 
Description:
m17n-db contains multilingualization (m17n) datafiles for m17n-lib
which describe input maps, encoding maps, and OpenType font data
for many languages.
Comment 1 Jens Petersen 2005-11-09 02:33:20 EST
Split some datafiles not needed for input out of the main package
and updated spec and srpm files:

new SRPM: http://people.redhat.com/petersen/extras/m17n-db-1.2.0-0.2.src.rpm
Comment 2 Warren Togami 2005-11-09 22:03:24 EST
Does every sub-package need to own %{_datadir}/m17n?
Do the sub-packages need the main package that contains /usr/bin/m17n-db and
other stuff?
Comment 3 Jens Petersen 2005-11-10 03:06:33 EST
> Does every sub-package need to own %{_datadir}/m17n?

Good question.  Since they all require m17n-db, is it superfluous?

> Do the sub-packages need the main package that contains /usr/bin/m17n-db and
> other stuff?

I think m17n-db is just needed to build m17n-lib.  (I suppose it could go in
m17n-db-devel, but that seems to be overdoing it.)

scim-m17n needs the datafiles in m17n-db to work, so that is the reason
they're there.  The others are now in m17n-db-datafiles
Comment 4 Warren Togami 2005-11-10 11:19:09 EST
File permissions are all good, I suppose this is good enough for now.  APPROVED
Comment 5 Jens Petersen 2005-11-11 04:50:36 EST
Thanks.  Imported into cvs and build requested.

Note You need to log in before you can comment on or make changes to this bug.